package project.utils;

import pi.config.ConfigGroup;

public class Statistics extends ConfigGroup {
    private int money = 0;
    private int kebabPrice = 5;
    private int upgradeLevel = 0;
    private int kebabSold = 0;
    private int workers = 0;
    private int lostCustomers = 0;
    private int totalEarned = 0;

    public Statistics() {
        money(2);
        kebabPrice(5);
        upgradeLevel(0);
        kebabSold(0);
        workers(0);
        lostCustomers(0);
        totalEarned(0);
    }

    // --- money ---
    public int money(){
        return money;
    }
    public Statistics money(int money) {
        set("money", money);
        return this;
    }

    // --- kebabPrice ---
    public int kebabPrice() {
        return kebabPrice;
    }

    public Statistics kebabPrice(int kebabPrice) {
        set("kebabPrice", kebabPrice);
        return this;
    }

    // --- upgradeLevel ---
    public int upgradeLevel() {
        return upgradeLevel;
    }

    public Statistics upgradeLevel(int upgradeLevel) {
        set("upgradeLevel", upgradeLevel);
        return this;
    }

    // --- kebabSold ---
    public int kebabSold() {
        return kebabSold;
    }

    public Statistics kebabSold(int kebabSold) {
        set("kebabSold", kebabSold);
        return this;
    }

    // --- workers ---
    public int workers() {
        return workers;
    }

    public Statistics workers(int workers) {
        set("workers", workers);
        return this;
    }

    // --- lostCustomers ---
    public int lostCustomers() {
        return lostCustomers;
    }

    public Statistics lostCustomers(int lostCustomers) {
        set("lostCustomers", lostCustomers);
        return this;
    }

    // --- totalEarned ---
    public int totalEarned() {
        return totalEarned;
    }

    public Statistics totalEarned(int totalEarned) {
        set("totalEarned", totalEarned);
        return this;
    }
}